Update Order Status

Allows a user to accept or reject an order and confirm a scheduled one. This should be called only once per order and can only be used by partners with a configured Order Events webhook.

On successful response, you'll receive 204 No Content (204 status code and response without body). This will mean that the order status was changed within Deliveroo systems. For failed requests, we'll send the appropriate status code with a message including a reason. If you don't accept an ASAP order in 10 minutes (7 for Kuwait and UAE markets) then it will get rejected automatically.

This endpoint is rate limited at 5 request per min per order.

List of allowed order status transitions:

TransitionDescription
placed => acceptedAccepting an order.
placed => rejectedRejecting an order.
accepted => confirmedSite confirms an order and is starting to prepare it. Only applies to scheduled order type.
This endpoint is rate limited at 5 request per min per order.
Path Params
string
required

Related order id in format {market}:{order_uuid}.

Body Params

PATCH Order Request Body

string
enum

Operation type. accepted to accept an order, rejected to reject it or confirmed to confirm a scheduled order that was accepted before.

Allowed:
string | null
enum

Reason for order rejection. Can be closing_early, busy, ingredient_unavailable or other. Required if status is rejected

Allowed:
string | null

Free text to give more information why order was rejected.

Responses
204

The order was successfully accepted/rejected/confirmed.

409 Conflict status code if sync status was already sent to us or the timeout occurred.

Language
Credentials
OAuth2
URL
Response
Choose an example:
application/json